program Project1;
 {$APPTYPE CONSOLE}
 Var a   : array[1..10000] of char;
     N   : integer;
     ans : array[1..10000] of char;
     yk  : integer;

 Procedure Load;
 Var ch : char;
 Begin
  assign(input,'chandelier.in');
  reset(input);
  n:=0;
  While not eoln do
  Begin
   read(ch);
   If(ch='a')or(ch in ['1'..'9'])Then
   Begin
    Inc(n);
    a[n]:=ch;
   End;
  End;
  close(input);
 End;
{----------------------------------------------------------------------------}
 Procedure Solve;
 Var i,j,vl,e : integer;
 Begin
  yk:=0;
  For i:=1 to N do
   If(a[i] in ['1'..'9'])Then
   Begin
    val(a[i],vl,e);
    break;
   End;
  For j:=i-vl to n-1 do
   ans[j-i+vl+1]:=a[j];
  For j:=n-i+vl+1 to n-1 do
   ans[j]:='a';
  ans[n]:=a[n];
 End;
{----------------------------------------------------------------------------}
 Procedure Save;
 Var i : integer;
 Begin
  assign(output,'chandelier.out');
  rewrite(output);
  For i:=1 to N do
   write(ans[i]);
  close(output);
 End;
{----------------------------------------------------------------------------}
 BEGIN
  Load;
  Solve;
  Save;
 END.
